package de.intevation.gnv.state.describedata;

/**
 * This is the default implementation of <code>KeyValueDescibeData</code>. This
 * class just implements the necessary methods and two constructors.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public class DefaultKeyValueDescribeData implements KeyValueDescibeData {

    private static final long serialVersionUID = -924469415242703108L;

    private String key;

    private String value = null;

    private String state;

    private boolean selected = false;

    /**
     * Creates a new instance of this class with a key-value pair, but no state
     * and no selection.
     *
     * @param key The key.
     * @param value A value.
     */
    public DefaultKeyValueDescribeData(String key, String value) {
        this(key, value, null);
    }

    /**
     * Creates a new instance of this class with a key-value pair and the state
     * this object belongs to.
     *
     * @param key The key.
     * @param value A value.
     * @param state A state.
     */
    public DefaultKeyValueDescribeData(String key, String value, String state) {
        super();
        this.key = key;
        this.value = value;
        this.state = state;
    }

    public String getKey() {
        return this.key;
    }

    public String getValue() {
        return this.value;
    }

    public boolean isSelected() {
        return this.selected;
    }

    public void setSelected(boolean selected) {
        this.selected = selected;
    }

    public String getState() {
        return this.state;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :